name: wyatt_ui_kit
description: UIKit and Design System used in Wyatt Studio.
repository: https://git.wyatt-studio.fr/Wyatt-FOSS/wyatt-packages/src/branch/master/packages/wyatt_ui_kit
version: 1.0.0

publish_to: none

environment:
  sdk: ">=2.19.0 <3.0.0"

dependencies:
  dotted_border: ^2.0.0+3
  equatable: ^2.0.5
  flutter: { sdk: flutter }
  flutter_animate: ^3.0.0
  flutter_bloc: ^8.1.2
  gap: ^2.0.1
  meta: ^1.8.0
  wyatt_bloc_helper:
    hosted:
      url: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub/
      name: wyatt_bloc_helper
    version: 2.0.0
  wyatt_component_copy_with_extension:
    git:
      url: ssh://git@git.wyatt-studio.fr:993/Wyatt-FOSS/wyatt-packages.git
      path: packages/wyatt_component_copy_with_extension
  wyatt_ui_components:
    git:
      url: ssh://git@git.wyatt-studio.fr:993/Wyatt-FOSS/wyatt-packages.git
      path: packages/wyatt_ui_components

dev_dependencies:
  build_runner: ^2.3.3
  flutter_test: { sdk: flutter }
  wyatt_analysis:
    hosted: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub
    version: ^2.4.1
  wyatt_component_copy_with_gen:
    git:
      url: ssh://git@git.wyatt-studio.fr:993/Wyatt-FOSS/wyatt-packages.git
      path: packages/wyatt_component_copy_with_gen

# The following section is specific to Flutter.
flutter:
  uses-material-design: true
